Bug 132474 - gfs init.d script needs to load crc32.o before loading lock_gulm.o
Summary: gfs init.d script needs to load crc32.o before loading lock_gulm.o
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stevens
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137219
TreeView+ depends on / blocked
 
Reported: 2004-09-13 20:47 UTC by Adam "mantis" Manthei
Modified: 2014-09-09 00:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 21:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam "mantis" Manthei 2004-09-13 20:47:06 UTC
Description of problem:
lock_gulm.o fails to load on 2.5.21-15.0.4 without the crc32.o module
loaded first.  

Version-Release number of selected component (if applicable):
GFS-6.0.0-7.1

How reproducible:
Always

Steps to Reproduce:
1. insmod lock_harness.o
2. insmod lock_gulm.o
3. --> unresolved symbol crc32_le_Rsmp_a34f1ef5

Additional info:
if modprobe is used, and the dependency list has been built 
(depmod -a) the this is not an issue.  Unfortunately the init.d script
for gfs uses insmod instead.

Comment 3 Lon Hohberger 2010-10-29 21:49:41 UTC
This bugzilla is reported to have been fixed years ago.


Note You need to log in before you can comment on or make changes to this bug.